package com.atlassian.bitbucket.mesh.git.gc;

/**
 * Describes a collection action
 */
public enum GcActionType {

    COMMIT_GRAPH_FULL("commit-graph write"),
    COMMIT_GRAPH_SPLIT("commit-graph write --split"),
    PACK_REFS("pack-refs"),
    PRUNE("prune"),
    REPACK("repack"),
    VACUUM_PRUNE_DELETED_REPOSITORY("vacuum prune deleted repository"),
    VACUUM_HIERARCHY("vacuum hierarchy"),
    VACUUM_REPOSITORY("vacuum repository");

    private final String name;

    GcActionType(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }
}
